/*
 * Class ACTIVE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_256 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_256 [] = {0xFF01,237,255,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_256 [] = {0xFF01,255,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_256 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_256 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_256 [] = {0xFF01,255,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_256 [] = {0xFF01,255,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_256 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_256 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_256 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_256 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_256 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_256 [] = {255,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_256 [] = {0xFF01,255,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_256 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_256 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_256 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_256[] = {
	{EIF_GENERIC(NULL), 1984, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_256), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_256), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_256), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_256), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_256), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_256), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_256), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_256), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_256), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_256), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_256), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_256), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_256), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_256), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_256), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_256), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1921, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_256), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init256(void)
{
	IDSC(desc_256, 0, 255);
	IDSC(desc_256 + 1, 1, 255);
	IDSC(desc_256 + 32, 77, 255);
	IDSC(desc_256 + 41, 282, 255);
	IDSC(desc_256 + 50, 243, 255);
	IDSC(desc_256 + 56, 229, 255);
}


#ifdef __cplusplus
}
#endif
